libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
vector.h File Reference

Vector class. More...

`#include <array>`
`#include <cmath>`
`#include <optional>`
`#include <ostream>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/span.h>`
`#include "libcamera/internal/yaml_parser.h"`
`#include "matrix.h"`
Include dependency graph for vector.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::ipa::Vector< T, Rows >
| Vector class. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Functions
template<typename T , unsigned int Rows, unsigned int Cols>
Vector< T, Rows > | libcamera::ipa::operator* (const Matrix< T, Rows, Cols > &m, const Vector< T, Cols > &v)
| Multiply a matrix by a vector.
template<typename T , unsigned int Rows>
bool | libcamera::ipa::operator== (const Vector< T, Rows > &lhs, const Vector< T, Rows > &rhs)
| Compare vectors for equality.
template<typename T , unsigned int Rows>
bool | libcamera::ipa::operator!= (const Vector< T, Rows > &lhs, const Vector< T, Rows > &rhs)
| Compare vectors for inequality.

## Detailed Description

Vector class.